(function ($, Drupal) {

Drupal.behaviors.chaching = {
  attach: function (context, settings) {
    $('#chaching-plot:not(.chaching-processed)', context).each(function () {
      $.jqplot.config.enablePlugins = true;
      $.ajax({
        url: settings.path.baseUrl + 'v1/donations/list/' + settings.chaching.period + '/json/' + settings.chaching.filter,
        data: { },
        dataType: 'json',
        cache: true,
        success: function (data) {
          var points = [[data.start, 0]];
          var total = 0;
          $.each(data.donations, function (i, donation) {
            total = total + donation.mc_gross;
            points.push([donation.payment_date, total]);
          });
          points.push([data.end, total]);
          var plot = $.jqplot('chaching-plot', [points], {
            axes: {
              xaxis: { renderer: $.jqplot.DateAxisRenderer, tickOptions: { formatString: '%#m/%#d/%y' }, autoscale: true },
              yaxis: { tickOptions: { formatString: '$%d' }, autoscale: true }
            },
            series: [{ fill: true, fillToZero: true, showMarker: false }],
          });
        }
      });
      $(this).addClass('chaching-processed');
    });
  }
};

})(jQuery, Drupal);
